### Method

# Gio DBusProxy get_name

since: 2.26

#### Declaration

    const gchar*
    g_dbus_proxy_get_name (
      GDBusProxy* proxy
    )

#### Description

Gets the name that `proxy` was constructed for.

When connected to a message bus, this will usually be non-`NULL`. However, it may be `NULL` for a proxy that communicates using a peer-to-peer pattern.

Available since: 2.26

#### Return value

Type: `const gchar*`

A string owned by `proxy`. Do not free.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.